FreeMat

- Main Page
- Related Pages

vtkDataSetMapper

Section: Visualization Toolkit Rendering Classes

# Usage

vtkDataSetMapper is a mapper to map data sets (i.e., vtkDataSet and all derived classes) to graphics primitives. The mapping procedure is as follows: all 0D, 1D, and 2D cells are converted into points, lines, and polygons/triangle strips and then mapped to the graphics system. The 2D faces of 3D cells are mapped only if they are used by only one cell, i.e., on the boundary of the data set.

To create an instance of class vtkDataSetMapper, simply invoke its constructor as follows

      obj = vtkDataSetMapper

# Methods

The class vtkDataSetMapper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataSetMapper class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataSetMapper = obj.NewInstance ()`
- `vtkDataSetMapper = obj.SafeDownCast (vtkObject o)`
- `obj.Render (vtkRenderer ren, vtkActor act)`
- `vtkPolyDataMapper = obj.GetPolyDataMapper ()` - Get the internal poly data mapper used to map data set to graphics system.
- `obj.ReleaseGraphicsResources (vtkWindow )` - Release any graphics resources that are being consumed by this mapper. The parameter window could be used to determine which graphic resources to release.
- `long = obj.GetMTime ()` - Get the mtime also considering the lookup table.
- `obj.SetInput (vtkDataSet input)` - Set the Input of this mapper.
- `vtkDataSet = obj.GetInput ()` - Set the Input of this mapper.